summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-10-14 23:32:54 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2018-10-15 10:32:38 +0200
commit8a7b369d7e0dc99db041038c236d463c552c6315 (patch)
tree20b4631f1efedc6dc72e862a8e49bc3dcf032328 /kde-frameworks/qqc2-desktop-style
parentapp-admin/sysstat: Old. (diff)
downloadgentoo-8a7b369d7e0dc99db041038c236d463c552c6315.tar.gz
gentoo-8a7b369d7e0dc99db041038c236d463c552c6315.tar.bz2
gentoo-8a7b369d7e0dc99db041038c236d463c552c6315.zip
kde-frameworks: Add KDE Frameworks 5.51.0
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Diffstat (limited to 'kde-frameworks/qqc2-desktop-style')
-rw-r--r--kde-frameworks/qqc2-desktop-style/Manifest1
-rw-r--r--kde-frameworks/qqc2-desktop-style/qqc2-desktop-style-5.51.0.ebuild25
2 files changed, 26 insertions, 0 deletions
diff --git a/kde-frameworks/qqc2-desktop-style/Manifest b/kde-frameworks/qqc2-desktop-style/Manifest
index 4534eb8f008..b7164a0cf0b 100644
--- a/kde-frameworks/qqc2-desktop-style/Manifest
+++ b/kde-frameworks/qqc2-desktop-style/Manifest
@@ -1 +1,2 @@
DIST qqc2-desktop-style-5.50.0.tar.xz 41084 BLAKE2B 0c392f31871c070f730597a8c1c727875e4ec1a677c632af48d2c63945299dde88689787d5ad117152d0af22440dd910791c579ab658b69d88d7925dbe0a1640 SHA512 c939f9b753848f5e2ea91e33e9886a2ce57466ebb51ce03cf543ac79744dfa8c7f838543ab9b3cbd9db5138f1fc3904e55a9640c4a9b124843a2ef1aa3cecf19
+DIST qqc2-desktop-style-5.51.0.tar.xz 41172 BLAKE2B ad0bd437cacdd2539dcb9bcada429c8636063614865aecdcd77bf30d063d8421679752f5e5ef576ebcf85e5880e080f78b6fd6b9ee7ffd54e299f1420569e67f SHA512 3f3590f1bb7154b3f3f30cd27fcac5d25c90c768439c03c3e8eab0c2a309d65012959757ab2372489061c418a49c00f1649689310f2f8a9e5b69a3cff7e9b622
diff --git a/kde-frameworks/qqc2-desktop-style/qqc2-desktop-style-5.51.0.ebuild b/kde-frameworks/qqc2-desktop-style/qqc2-desktop-style-5.51.0.ebuild
new file mode 100644
index 00000000000..f6b60699027
--- /dev/null
+++ b/kde-frameworks/qqc2-desktop-style/qqc2-desktop-style-5.51.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+KDE_QTHELP="false"
+inherit kde5
+
+DESCRIPTION="Style for QtQuickControls 2 that uses QWidget's QStyle for painting"
+KEYWORDS="~amd64 ~arm ~x86"
+LICENSE="|| ( GPL-2+ LGPL-3+ )"
+IUSE=""
+
+DEPEND="
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kiconthemes)
+ $(add_frameworks_dep kirigami)
+ $(add_qt_dep qtdeclarative '' '' '5=')
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtwidgets)
+"
+RDEPEND="${DEPEND}
+ $(add_qt_dep qtgraphicaleffects)
+ $(add_qt_dep qtquickcontrols2)
+"